!!****f* source/Simulation/Simulation_finalize
!!
!! NAME
!!  Simulation_finalize
!!
!! SYNOPSIS
!!
!!  Simulation_finalize()
!!
!! DESCRIPTION
!!
!!  This dummy function cleans up the Simulation unit, deallocates memory, etc.
!!  However, as nothing needs to be done, only this stub is included.
!!
!! ARGUMENTS
!!
!!
!!
!!***

subroutine Simulation_finalize()

use Simulation_data

  implicit none

  deallocate (sim_partPos, sim_partVel, sim_partM, sim_partH, sim_partU, &
              sim_partT,   sim_partP, &
              sim_xar36, sim_xc12, sim_xca40, sim_xcr48, sim_xfe52, & 
              sim_xhe4, sim_xmg24, sim_xne20, sim_xni56, sim_xo16, &
              sim_xs32, sim_xsi28, sim_xti44)
  return

end subroutine Simulation_finalize
